The following example assumes that the shopper is making a purchase on the master platform:

- The shopper chooses to pay with Pix on the master platform;
- The master requests the creation of the Pix QR Code for the total transaction amount and asks for the split among participants (transactional Split);
- The transactional API returns the Pix QR Code (Base64-encoded). At this point, the transaction status will be 12 Pending;
- The master displays the Pix QR Code to the shopper for payment (QR Code scan or Pix copy-and-paste);
- The shopper makes the payment using the bank app or online banking environment;
- The bank confirms the payment to the transactional API;
- The transactional API sends a notification to the master indicating that the transaction status has been updated;
- The master performs a query on the transactional query API to check the updated status and retrieve transaction details;
- Split de Pagamento returns the updated status (status 2, Paid) and the transaction details.
The name displayed at the time of payment will be Stelo/Braspag.
Sending fees in the request: If the request includes fees, they will take precedence over the fees registered in the portal e-commerce. Portal e-commerce fees will only apply when no fees are sent or in cases of redistribution.
Alphanumeric CNPJs will be implemented by the Brazilian Federal Revenue Service in July 2026This change applies only to new registrations. There will be no changes to existing CNPJs.
The alphanumeric CNPJ is already supported by Cielo, with no changes required to your integration.
We recommend checking whether adjustments are needed in your merchant’s own checkout systems.
Request
| Ambiente | Método | Endpoint |
|---|---|---|
| Sandbox | post | https://apisandbox.braspag.com.br/v2/sales/ |
| Produção | post | https://api.braspag.com.br/v2/sales/ |
{
"MerchantOrderId": "202412100002",
"Customer": {
"Name": "Aline de Souza",
"Identity": "123456789",
"IdentityType": "CPF"
},
"Payment": {
"Type": "Pix",
"Amount": 20000,
"Provider": "Braspag",
"QrCodeExpiration": 2100,
"SplitPayments": [
{
"SubordinateMerchantId": "768d0acf-9502-4411-9ec0-c5413c671771",
"Amount": 15000,
"Fares": {
"Mdr": 50.0,
"Fee": 100
}
},
{
"SubordinateMerchantId": "d436ad59-6be9-4146-a757-35b97659bedc",
"Amount": 5000,
"Fares": {
"Mdr": 50.0,
"Fee": 100
}
}
],
"DoSplit": true
}
}Header parameters
| Property | Type | Size | Required | Description |
|---|---|---|---|---|
MerchantId | String | 36 | Yes | Merchant identifier in the Gateway de Pagamento |
MerchantKey | String | 40 | Yes | Public key for dual authentication in the Gateway de Pagamento. |
RequestId | String | 36 | No | Request identifier, used when the merchant uses different servers for each GET/POST/PUT request. |
Content-type | Header | 40 | Yes | application/json |
Body parameters
| Property | Type | Size | Required | Description |
|---|---|---|---|---|
MerchantOrderId | String | 50 | Yes | Order identification number. |
Customer.Name | String | 255 | No | Shopper's name. |
Customer.Identity | String | 14 | No | Shopper's CPF or CNPJ number. Allows submission of alphanumeric CNPJs. |
Customer.IdentityType | String | 255 | No | Type of shopper identification document (CPF or CNPJ). |
Payment.Type | String | 100 | Yes | Payment method type. "Pix" |
Payment.Amount | Integer | 15 | Yes | Order amount (must be sent in cents). |
Payment.QrCodeExpiration | Integer | -- | No | QR Code expiration time, in seconds. (Example: 24 hours = 86400.) |
Payment.Provider | String | 15 | Yes | Payment method provider name. For environments: Sandbox = Simulado Production = Braspag |
Payment.SplitPayments.SubordinateMerchantId | String | 36 | Yes | Seller's MerchantId (identifier). |
Payment.SplitPayments.Amount | Integer | -- | Yes | Net amount of the seller's share in the transaction, in cents. Fee discount will be calculated by Split. |
Payment.SplitPayments.Fares.Mdr | String | -- | No | MDR (%) of the master to be deducted from the seller's share amount. |
Payment.SplitPayments.Fares.Fee | String | -- | No | Fixed fee (R$) to be deducted from the seller's share amount, in cents. |
Payment.DoSplit | Booleano | -- | Yes | Indicates whether the transaction will be split among multiple participants. Possible values: true/false |
Response
{
"MerchantOrderId": "202411130002",
"Customer": {
"Name": "Aline de Souza",
"Identity": "11122233344",
"IdentityType": "cpf"
},
"Payment": {
"QrCodeBase64Image": "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",
"QrCodeString": "00020101021226990014br.gov.bcb.pix2577qrcodes-h.cielo.com.br/qr-pix/qrs1/v2/01VpmMudPp69ce9UpCpP6TQAHisoVnH0D8MByj9520400005303986540530.005802BR5915RAZAO MOCK LTDA6006Recife62070503***6304289C",
"SentOrderId": "69ffe23bc3f34d6090ac46f57d32cadb",
"SplitPayments": [
{
"SubordinateMerchantId": "94e5ea52-79b0-7dba-1867-be7b081edd97",
"Amount": 20000
}
],
"SplitTransaction": {
"MasterRateDiscountType": "sale",
"ReleasedToAnticipation": true
},
"PaymentId": "69ffe23b-c3f3-4d60-90ac-46f57d32cadb",
"Type": "Pix",
"Amount":20000,
"ReceivedDate": "2025-01-16 15:09:17",
"Currency": "BRL",
"Country": "BRA",
"Provider": "Braspag",
"ReasonCode": 0,
"ReasonMessage": "Successful",
"Status": 12,
"ProviderReturnCode": "0",
"ProviderReturnMessage": "OPERACAO REALIZADA COM SUCESSO",
"Links": [
{
"Method": "GET",
"Rel": "self",
"Href": "https://apiquerysandbox.braspag.com.br/v2/sales/69ffe23b-c3f3-4d60-90ac-46f57d32cadb"
}
]
}
}Response parameters
| Property | Type | Description |
|---|---|---|
Payment.QrCodeBase64Image | String | Base64 of the QR Code image generated for Pix payment. The expiration time for the generated QR Code is 2 hours. |
Payment.QrCodeString | String | Pix code (copy and paste) that can be used for payment. The expiration time for the generated QR Code is 2 hours. |
Payment.SentOrderId | String | Pix transaction identifier (txid). The Payment Gateway creates a code for each requested QR Code. |
Payment.ReturnCode | String | Error reason code if any occurs during the process. |
Payment.ReturnMessage | String | Return message. |
Payment.PaymentId | String | External unique transaction identifier. |
Payment.ProviderReturnCode | Integer | Provider return code. |
Payment.ProviderReturnMessage | String | Provider return message. |